# 2. Vaicājums: iegūt "Laukus"

Vienkāršs piemērs "Lauku" vaicājumam, kas iegūst platību hektāros.

{% hint style="info" %}
"Lauka" platības mērvienība var būt viena no šādām: `AKRI` vai `HEKTĀRI` vai `KVADRĀTMETRI`.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
vaicājums GetFieldInHectares {
  getFarms (farmUuids: ["<vietturis_priekš_farmas_uuid>"]){
    uuid
    userUuid
    nosaukums
    fields {
      uuid
      nosaukums
      area(unit: HECTARES)
    }
  }
}
```

{% endcode %}

{% hint style="info" %}
Sīkāks piemērs, ieskaitot lapu numerāciju un filtrēšanas iespējas, aprakstīts [43: Vaicājums Get "Fields"](/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/43.-vaicajums-iegut-laukus.md).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/2.-vaicajums-iegut-laukus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
